public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pygments/
Date: Sun, 11 Oct 2015 11:25:11 +0000 (UTC)	[thread overview]
Message-ID: <1444562669.72de70a94e4f730877948ccb9ebdeef75aeaf61f.jlec@gentoo> (raw)

commit:     72de70a94e4f730877948ccb9ebdeef75aeaf61f
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 11 10:35:44 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Oct 11 11:24:29 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72de70a9

dev-python/pygments: Add python3.5 support

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/pygments/pygments-2.0.2-r1.ebuild | 52 ++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

diff --git a/dev-python/pygments/pygments-2.0.2-r1.ebuild b/dev-python/pygments/pygments-2.0.2-r1.ebuild
new file mode 100644
index 0000000..33077c7
--- /dev/null
+++ b/dev-python/pygments/pygments-2.0.2-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit distutils-r1 bash-completion-r1 vcs-snapshot
+
+MY_PN="Pygments"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Pygments is a syntax highlighting package written in Python"
+HOMEPAGE="http://pygments.org/ https://pypi.python.org/pypi/Pygments"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc test"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+	test? (
+		dev-python/nose[${PYTHON_USEDEP}]
+		virtual/ttf-fonts )"
+#		dev-texlive/texlive-latexrecommended
+# Removing / commenting out this dep. I can find no mention of it in tests other than
+# importing pygment's own tex module.  If it's there and I missed it just uncomment and re-add
+# Tests pass without it
+
+S="${WORKDIR}/${MY_P}"
+
+python_compile_all() {
+	use doc && emake -C doc html
+}
+
+python_test() {
+	cp -r -l tests "${BUILD_DIR}"/ || die
+	# With pypy3 there is 1 error out of 1556 tests when run as is and
+	# (SKIP=8, errors=1, failures=1) when run with 2to3; meh
+	nosetests -w "${BUILD_DIR}"/tests || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( doc/_build/html/. )
+
+	distutils-r1_python_install_all
+	newbashcomp external/pygments.bashcomp pygmentize
+}


             reply	other threads:[~2015-10-11 11:25 UTC|newest]

Thread overview: 156+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-11 11:25 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-10-14 13:40 [gentoo-commits] repo/gentoo:master commit in: dev-python/pygments/ Justin Lecher
2015-10-31  6:39 Jeroen Roovers
2015-10-31  7:36 Justin Lecher
2015-10-31  7:39 Justin Lecher
2016-01-18 18:24 Dirkjan Ochtman
2016-02-14 17:54 Justin Lecher
2016-03-12 12:28 Dirkjan Ochtman
2016-03-14 22:13 Agostino Sarubbo
2016-03-20 11:53 Agostino Sarubbo
2016-03-29 20:46 Markus Meier
2016-05-27  9:47 Tobias Klausmann
2016-10-01 13:59 Jeroen Roovers
2017-01-29 17:15 Fabian Groffen
2017-01-30 18:56 Lars Wendler
2017-03-29 21:26 Michael Weber
2017-05-03 11:02 Michał Górny
2017-12-24  9:59 Sergei Trofimovich
2017-12-24 11:11 Sergei Trofimovich
2017-12-26 16:22 Jason Zaman
2017-12-28 18:02 Sergei Trofimovich
2018-01-28 20:41 Markus Meier
2018-01-29  8:22 Tobias Klausmann
2018-02-01 20:37 Thomas Deutschmann
2018-05-07  0:12 Mart Raudsepp
2018-06-05 17:19 Mike Frysinger
2018-07-02 21:24 Sergei Trofimovich
2018-10-31  2:22 Virgil Dupras
2018-12-22 19:39 Tim Harder
2019-05-05 17:09 Mikle Kolyada
2019-05-20 17:25 Sergei Trofimovich
2019-05-22  7:36 Sergei Trofimovich
2019-05-23 12:48 Mikle Kolyada
2019-05-24 22:08 Sergei Trofimovich
2019-05-24 22:50 Sergei Trofimovich
2019-05-25 18:36 Aaron Bauman
2019-05-26  7:04 Sergei Trofimovich
2019-05-26 22:27 Thomas Deutschmann
2019-06-04 18:51 Agostino Sarubbo
2019-07-07 13:10 Michał Górny
2019-07-28 19:57 Mikle Kolyada
2019-07-28 19:57 Mikle Kolyada
2019-07-28 19:57 Mikle Kolyada
2019-11-24 17:08 Michał Górny
2019-11-24 17:08 Michał Górny
2019-11-25 12:35 Michał Górny
2019-11-30 22:48 Matthew Thode
2019-12-16 10:14 Michał Górny
2019-12-16 10:14 Michał Górny
2019-12-27 21:32 Sebastian Pipping
2020-02-22 20:22 Andreas Sturmlechner
2020-02-23 12:12 Mikle Kolyada
2020-02-24  8:20 Sergei Trofimovich
2020-02-24 12:53 Agostino Sarubbo
2020-03-07 15:11 Michał Górny
2020-03-08 14:29 Michał Górny
2020-03-28 17:44 Michał Górny
2020-03-28 17:44 Michał Górny
2020-05-03 10:25 Agostino Sarubbo
2020-05-03 15:13 Agostino Sarubbo
2020-05-04 16:51 Agostino Sarubbo
2020-05-08  9:36 Sergei Trofimovich
2020-05-11  6:23 Mart Raudsepp
2020-05-11 15:32 Mart Raudsepp
2020-05-26 12:58 Michał Górny
2020-09-12 18:53 Michał Górny
2020-09-18  7:23 Michał Górny
2020-09-18  7:23 Michał Górny
2020-09-20 14:36 Michał Górny
2020-10-18 18:51 Thomas Deutschmann
2020-10-18 19:17 Sam James
2020-10-22  7:18 Sam James
2020-10-22 21:06 Michał Górny
2020-10-24 17:45 Michał Górny
2020-11-26  6:56 Agostino Sarubbo
2020-11-26  8:26 Michał Górny
2020-12-06 17:42 Michał Górny
2021-01-05 21:00 Sam James
2021-01-05 21:27 Michał Górny
2021-01-12  9:49 Michał Górny
2021-01-18  2:53 Sam James
2021-01-18  9:09 Michał Górny
2021-02-15  8:34 Michał Górny
2021-03-07  8:30 Michał Górny
2021-03-19 20:14 Sam James
2021-03-19 21:39 Michał Górny
2021-04-09 22:17 Sam James
2021-04-09 22:25 Michał Górny
2021-05-04 12:41 Michał Górny
2021-05-06 18:45 Michał Górny
2021-06-05 20:35 Sam James
2021-06-05 21:18 Michał Górny
2021-08-16  1:58 Sam James
2021-09-18 17:18 Sam James
2021-09-18 19:43 Michał Górny
2021-12-30 21:56 Michał Górny
2021-12-31  5:06 Arthur Zamarin
2021-12-31  5:06 Arthur Zamarin
2021-12-31  5:09 Arthur Zamarin
2021-12-31  5:13 Arthur Zamarin
2021-12-31  8:17 Michał Górny
2021-12-31  9:42 Michał Górny
2021-12-31 15:52 Arthur Zamarin
2021-12-31 16:53 Matt Turner
2021-12-31 23:03 Arthur Zamarin
2022-01-01  1:29 Michał Górny
2022-01-02 13:21 Yixun Lan
2022-01-04 20:44 Arthur Zamarin
2022-01-06 18:25 Sam James
2022-01-06 18:30 Arthur Zamarin
2022-01-06 23:48 James Le Cuirot
2022-01-10  4:00 Joshua Kinard
2022-01-27 15:13 Jakov Smolić
2022-02-04  9:29 Jakov Smolić
2022-02-04 18:46 Sam James
2022-02-04 18:48 Sam James
2022-02-05 14:08 Arthur Zamarin
2022-02-05 14:10 Arthur Zamarin
2022-02-05 14:10 Arthur Zamarin
2022-02-05 14:10 Arthur Zamarin
2022-02-05 14:10 Arthur Zamarin
2022-02-05 17:28 Michał Górny
2022-04-24 17:47 Arthur Zamarin
2022-05-11 17:54 Michał Górny
2022-05-11 17:54 Michał Górny
2022-05-31  6:29 Michał Górny
2022-05-31  7:23 Jakov Smolić
2022-08-15 19:06 Arthur Zamarin
2022-09-19 19:59 Arthur Zamarin
2022-09-20  5:57 Michał Górny
2022-10-28 20:58 Sam James
2023-01-02 14:54 Michał Górny
2023-01-28 16:53 Arthur Zamarin
2023-01-28 19:56 Michał Górny
2023-04-11  3:14 Michał Górny
2023-04-19  5:56 Michał Górny
2023-05-13 10:43 Arthur Zamarin
2023-05-13 16:04 Michał Górny
2023-05-25 16:27 Michał Górny
2023-06-05 13:37 Fabian Groffen
2023-08-07  3:01 Michał Górny
2023-08-07  3:01 Michał Górny
2023-09-07 19:52 Sam James
2023-09-08  4:53 Michał Górny
2023-11-18 15:47 Michał Górny
2023-11-19 16:01 Michał Górny
2023-11-22  7:49 Michał Górny
2023-12-09 14:10 Michał Górny
2023-12-09 14:17 Michał Górny
2024-05-05  5:12 Michał Górny
2024-05-11 11:05 Michał Górny
2024-05-28 12:10 Michał Górny
2025-01-06  6:42 Michał Górny
2025-01-07  5:27 Michał Górny
2025-01-25  9:50 Michał Górny
2025-02-16 16:02 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1444562669.72de70a94e4f730877948ccb9ebdeef75aeaf61f.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox